//=========================================================================
//
//	FILE:				CP_Graphics_Application.h
//	
//						Copyright  2004. Ken Stahlman. All Rights Reserved.
//	
//	PURPOSE:			Application class for the CP_Graphics demo.
//	
//	HISTORY:			1st Version - August 2004.
//	
//	NOTES:				- none -
//
//	VERSION:			Current Revision: $Rev: 3 $
//						Latest Checkout:  $Date: 2004-12-21 19:27:54 -0800 (Tue, 21 Dec 2004) $
//
//=========================================================================
#ifndef _H_CP_Graphics_Application
#define _H_CP_Graphics_Application
#ifndef TARGET_OS_LINUX
	#pragma once
#endif

	// CPLAT_Framework
#include "CP_Application.h"
#include "CP_DocumentPolicy_Multi.h"
#include "CP_OSStatus.h"
#include "CP_PrintPolicy_None.h"
#include "CP_Types.h"
#include "CP_UndoPolicy_None.h"

/*!
*	@class		CP_Graphics_Application
*	@brief		Application class for the CP_Graphics demo.
*/
class CP_Graphics_Application : public CPLAT::CP_Application<CPLAT::CP_DocumentPolicy_Multi, CPLAT::CP_PrintPolicy_None,
	CPLAT::CP_UndoPolicy_None>
{
public:
	//! @name Constructor / Destructor
	//@{
	//! Constructor.
										CP_Graphics_Application();
	//! Destructor.
	virtual								~CP_Graphics_Application() throw();
	//@}
			
protected:
	//! @name AboutBox
	//@{
	virtual	CPLAT::CP_String			GetAboutBoxDescription() const;
	//@}

	//! @name Commands
	//@{
	virtual	void						HandleOpenApplication();
	//@}

private:
	typedef CPLAT::CP_Application<CPLAT::CP_DocumentPolicy_Multi, CPLAT::CP_PrintPolicy_None, CPLAT::CP_UndoPolicy_None>	inherited;

	//! @name Commands
	//@{
			void						HandleShapes(
												CPLAT::OSStatus& inOutStatus,
												CPLAT::CP_CommandNo& inCommandNo );
			void						HandlePaths(
												CPLAT::OSStatus& inOutStatus,
												CPLAT::CP_CommandNo& inCommandNo );
			void						HandleImages(
												CPLAT::OSStatus& inOutStatus,
												CPLAT::CP_CommandNo& inCommandNo );
	//@}

	//! @name Misc
	//@{
			CPLAT::CP_FileSystemSpec	AskForImageFile();
	//@}

	// class data
protected:

//========================================================================
// Platform specific routines
//========================================================================
#if TARGET_OS_MAC
#endif

#if TARGET_OS_WIN32
#endif

#if TARGET_OS_LINUX
#endif
};

#endif	// _H_CP_Graphics_Application

