//=========================================================================
//
//	FILE:				CP_UIClasses_Defines.h
//	
//						Copyright  2004. Ken Stahlman. All Rights Reserved.
//	
//	PURPOSE:			Definitions of used for UI Classes demo app.
//	
//	HISTORY:			1st Version - August 2004.
//	
//	NOTES:				- none -
//
//	VERSION:			Current Revision: $Rev: 7 $
//						Latest Checkout:  $Date: 2005-08-30 20:34:07 -0700 (Tue, 30 Aug 2005) $
//
//=========================================================================

#ifndef _H_CP_UI_Classes_Defines
#define _H_CP_UI_Classes_Defines
#ifndef TARGET_OS_LINUX
	#pragma once
#endif

	// CPLAT_Framework
#include "CP_Types.h"

const SInt16 kCP_UI_Classes_ButtonsCommand							= 1000;
const SInt16 kCP_UI_Classes_TrackersCommand							= 1001;
const SInt16 kCP_UI_Classes_GroupBoxesCommand						= 1002;
const SInt16 kCP_UI_Classes_HeaderCommand							= 1003;
const SInt16 kCP_UI_Classes_TextCommand								= 1004;
const SInt16 kCP_UI_Classes_ImageCommand							= 1005;
const SInt16 kCP_UI_Classes_MiscCommand								= 1006;
const SInt16 kCP_UI_Classes_TabCommand								= 1007;
const SInt16 kCP_UI_Classes_ToolbarCommand							= 1008;

	// misc commands
const UInt32 kCP_ButtonClickedCommand								= 1100;
const UInt32 kCP_PushButtonClickedCommand							= 1101;
const UInt32 kCP_RadioButtonClickedCommand							= 1102;
const UInt32 kCP_CheckBoxClickedCommand								= 1103;
const UInt32 kCP_RoundButtonClickedCommand							= 1104;
const UInt32 kCP_DisclosureButtonClickedCommand						= 1105;

const UInt32 kCP_GroupRadioButton1ClickedCommand					= 1200;
const UInt32 kCP_GroupRadioButton2ClickedCommand					= 1201;
const UInt32 kCP_GroupRadioButton3ClickedCommand					= 1202;
const UInt32 kCP_GroupRadioButton4ClickedCommand					= 1203;
const UInt32 kCP_GroupRadioButton5ClickedCommand					= 1204;

	// Images
const UInt32 kCP_PictureClickedCommand								= 1300;
const UInt32 kCP_IconClickedCommand									= 1301;

	// Misc controls
const UInt32 kCP_DisclosureTriangleClickedCommand					= 1400;
const UInt32 kCP_LittleArrowsClickedCommand							= 1401;
const UInt32 kCP_PopupArrowClickedCommand							= 1402;
const UInt32 kCP_CheckBoxGroupClickedCommand						= 1403;

	// Headers
const UInt32 kCP_HeaderListCol1Command								= 1501;
const UInt32 kCP_HeaderListCol2Command								= 1502;
const UInt32 kCP_HeaderListCol3Command								= 1503;

	// Segment View
const UInt32 kCP_SegmentViewCol1Command								= 1601;
const UInt32 kCP_SegmentViewCol2Command								= 1602;
const UInt32 kCP_SegmentViewCol3Command								= 1603;

	// Toolbar
const UInt32 kToolbarItemOneCommand									= 1700;
const UInt32 kToolbarItemTwoCommand									= 1701;
const UInt32 kToolbarItemThreeCommand								= 1702;

#endif	// _H_CP_UI_Classes_Defines

