//=========================================================================
//
//	FILE:				Undo_Main.cpp
//	
//						Copyright  2004. Ken Stahlman. All Rights Reserved.
//	
//	PURPOSE:			Application entry point for CP_Undo demo app.
//	
//	HISTORY:			1st Version - August 2004.
//	
//	NOTES:				- none -
//
//	VERSION:			Current Revision: $Rev: 5 $
//						Latest Checkout:  $Date: 2005-08-30 20:34:20 -0700 (Tue, 30 Aug 2005) $
//
//=========================================================================

	// CP_Document
#include "Undo_Main.h"
#include "Undo_App.h"

	// CPLAT_Framework
#include "CP_Exceptions.h"
#include "CP_FrameworkFlags.h"
#include "CP_New.h"
#include "CP_Startup.h"

#if TARGET_OS_MAC && TARGET_CC_METROWERKS && CP_Debug
	#include <DataViewer.h>
#endif

#if TARGET_OS_MAC || TARGET_OS_LINUX
	int main( int argc, char *argv[] )
#else if TARGET_OS_WIN32
	int WINAPI WinMain( HINSTANCE hInst, HINSTANCE hPreInst, LPSTR lpszCmdLine, int nCmdShow )
#endif
{
	#if TARGET_OS_MAC && TARGET_CC_METROWERKS && CP_Debug
		DataViewLibInit();
	#endif	// TARGET_CC_METROWERKS && CP_Debug

	try
	{	
		#if TARGET_OS_MAC || TARGET_OS_LINUX
			std::auto_ptr<CPLAT::CP_Startup> 			platformStartup( CP_new CPLAT::CP_Startup( argc, argv ) );
		#else
			std::auto_ptr<CPLAT::CP_Startup> 			platformStartup( CP_new CPLAT::CP_Startup( hInst, hPreInst, lpszCmdLine, nCmdShow  ) );
		#endif

		Undo_Application		application;
		application.Run();	
	}
	catch(...)
	{
	}
	
	return( 0 );
}
