//=========================================================================
//
//	FILE:				CP_M_AppleEvents.h
//	
//						Copyright  2004. Ken Stahlman. All Rights Reserved.
//	
//	PURPOSE:			Mix-in class for classes that need to handle MacOS
//						AppleEvents.
//	
//	HISTORY:			1st Version - August 2004.
//	
//	NOTES:				- none -
//
//	VERSION:			Current Revision: $Rev: 267 $
//						Latest Checkout:  $Date: 2005-08-31 19:33:20 -0700 (Wed, 31 Aug 2005) $
//
//=========================================================================
#ifndef _H_CP_M_AppleEvents
#define _H_CP_M_AppleEvents
#ifndef TARGET_OS_LINUX
	#pragma once
#endif

#if TARGET_OS_MAC

	// CPLAT_Framework
#include "CP_Types.h"

CPLAT_Begin_Namespace_CPLAT

//!  CP_M_AppleEvents
/*!
  Mix-in class for classes that need to handle MacOS AppleEvents.
*/
class CP_EXPORT CP_M_AppleEvents
{
public:
	//! @name Constructor / Destructor
	//@{
	//! Constructor.
										CP_M_AppleEvents();
	//! Destructor.
	virtual								~CP_M_AppleEvents();
	//@}
			
protected:

private:
											// Don't allow copy and assignment
										CP_M_AppleEvents( const CP_M_AppleEvents& );
	CP_M_AppleEvents&					operator = ( const CP_M_AppleEvents& );

	// class data
protected:
	
//========================================================================
// Platform specific routines
//========================================================================
#if TARGET_OS_MAC
#endif

#if TARGET_OS_WIN32
#endif

#if TARGET_OS_LINUX
#endif
};

CPLAT_End_Namespace_CPLAT

#endif	// TARGET_OS_MAC

#endif	// _H_CP_M_AppleEvents

