//=========================================================================
//
//	FILE:				CP_Numeric.h
//	
//						Copyright  2004. Ken Stahlman. All Rights Reserved.
//	
//	PURPOSE:			Misc classes and routines for dealing with numeric data
//						and casting to different forms.
//	
//	HISTORY:			1st Version - August 2004.
//	
//	NOTES:				- none -
//
//	VERSION:			Current Revision: $Rev: 2 $
//						Latest Checkout:  $Date: 2004-12-21 19:40:38 -0800 (Tue, 21 Dec 2004) $
//
//=========================================================================
#ifndef _H_CP_Numeric
#define _H_CP_Numeric
#ifndef TARGET_OS_LINUX
	#pragma once
#endif

	// CPLAT_Framework
#include "CP_Debugging.h"
#include "CP_ErrorManager.h"
#include "CP_NoCopy.h"

	// Standard Library
#if ! TARGET_OS_LINUX
	#include <limits>
#endif

CPLAT_Begin_Namespace_CPLAT

template <typename RESULT, typename SOURCE>
struct CP_S_VerifyCast
{
	//! @name Checking
	//@{
			void 						Verify( SOURCE inNumber );
	//@}
};

template <typename RESULT, typename SOURCE>
inline void CP_S_VerifyCast<RESULT, SOURCE>::Verify(SOURCE /*inNumber*/)
{
	#if ! TARGET_CC_GNUC 
		#if TARGET_CC_MSVC
			//ASSERT( (int) inNumber >= std::numeric_limits<RESULT>::min ); 
		//	ASSERT( (int) inNumber <= std::numeric_limits<RESULT>::max );
		#else		
			//ASSERT( (double) inNumber >= std::numeric_limits<RESULT>::min() ); 
			//ASSERT( (double) inNumber <= std::numeric_limits<RESULT>::max() );
		#endif
	#endif
}

template <typename RESULT, typename SOURCE>
inline RESULT numeric_cast(SOURCE inNumber)
{
#if ! TARGET_CC_MSVC
	CP_S_VerifyCast<RESULT, SOURCE>().Verify( inNumber );
#endif

	return( static_cast<RESULT>(inNumber) );
}

CPLAT_End_Namespace_CPLAT

#endif	// _H_CP_Numeric

