//=========================================================================
//
//	FILE:				CP_QuickTime_Utilities.h
//	
//						Copyright  2004. Ken Stahlman. All Rights Reserved.
//	
//	PURPOSE:			A class that provides misc QuickTime related functions.
//	
//	HISTORY:			1st Version - August 2004.
//	
//	NOTES:				- none -
//
//	VERSION:			Current Revision: $Rev: 2 $
//						Latest Checkout:  $Date: 2004-12-21 19:40:38 -0800 (Tue, 21 Dec 2004) $
//
//=========================================================================
#ifndef _H_CP_QuickTime_Utilities
#define _H_CP_QuickTime_Utilities
#ifndef TARGET_OS_LINUX
	#pragma once
#endif

	// CPLAT_Framework
#include "CP_Canvas.h"
#include "CP_FileSystemSpec.h"
#include "CP_Rect.h"

#if TARGET_OS_MAC
	#if TARGET_API_MAC_CARBON && __CF_USE_FRAMEWORK_INCLUDES__
		#include <QuickTime/ImageCompression.h>
	#else
		#include <ImageCompression.h>
	#endif
#endif

#if TARGET_OS_WIN32
	#if CP_Optional_QuickTime_Windows
		#include <ImageCompression.h>
	#endif
#endif

CPLAT_Begin_Namespace_CPLAT

/*!
*	\class		CP_QuickTime_Utilities
*	\brief		A class that provides misc QuickTime related functions.
*/
class CP_EXPORT CP_QuickTime_Utilities
{
public:
	static bool							IsQuickTimeInited()							{ return( fsQuickTimeInited ); }
	static bool							InitQuickTime();
	static void							TerminateQuickTime();

	static SInt32						QuickTimeVersion();

	// class data
protected:
	static bool							fsQuickTimeInited;
		
//========================================================================
// Platform specific routines
//========================================================================
#if TARGET_OS_MAC
#endif

#if TARGET_OS_WIN32
#endif

#if TARGET_OS_LINUX
#endif
};

/*!
*	\class		CP_StQuickTimeInit
*	\brief		A stack based class for initializing and deinitializing QuickTime.
*/
class CP_EXPORT CP_StQuickTimeInit
{
public:
										CP_StQuickTimeInit();
										~CP_StQuickTimeInit();
										
	// class data
protected:
		
//========================================================================
// Platform specific routines
//========================================================================
#if TARGET_OS_MAC
#endif

#if TARGET_OS_WIN32
#endif

#if TARGET_OS_LINUX
#endif
};

CPLAT_End_Namespace_CPLAT

#endif	// _H_CP_QuickTime_Utilities
