//=========================================================================
//
//	FILE:				CP_Persist_XML_Defines.h
//	
//						Copyright  2004. Ken Stahlman. All Rights Reserved.
//	
//	PURPOSE:			Definitions for CP_M_Persist objects used in CPLAT and
//						created and initialized via XML data used in CPLAT.
//	
//	HISTORY:			1st Version - August 2004.
//	
//	NOTES:				- none -
//
//	VERSION:			Current Revision: $Rev: 145 $
//						Latest Checkout:  $Date: 2005-04-14 16:01:09 -0700 (Thu, 14 Apr 2005) $
//
//=========================================================================
#ifndef _H_CP_Persist_Defines
#define _H_CP_Persist_Defines
#ifndef TARGET_OS_LINUX
	#pragma once
#endif

	// CPLAT_Framework
#include "CP_Types.h"

CPLAT_Begin_Namespace_CPLAT

//=========================================================================
//	XMLDocument node types
//=========================================================================
#define kCP_NodeType_CPLATDescription						"cplat_description"
#define kCP_NodeType_UIDescription							"ui_description"
#define kCP_NodeType_SignalDescription						"signal_description"
#define kCP_NodeType_Array									"array"
#define kCP_NodeType_MenuItem								"menuItem"
#define kCP_NodeType_Signal									"signal"

#define kCP_NodeType_FontSpecDescription					"font_spec_description"

#define kCP_NodeType_bool									"bool"
#define kCP_NodeType_name									"name"
#define kCP_NodeType_SInt16									"SInt16"
#define kCP_NodeType_UInt16									"UInt16"
#define kCP_NodeType_SInt32									"SInt32"
#define kCP_NodeType_UInt32									"UInt32"
#define kCP_NodeType_Float									"float"
#define kCP_NodeType_OSType									"ostype"
#define kCP_NodeType_CP_Point								"CP_Point"
#define kCP_DataType_Point									"point"
#define kCP_NodeType_CP_Rect								"CP_Rect"
#define kCP_DataType_Rect									"rect"
#define kCP_NodeType_CP_RGBColor							"CP_RGBColor"
#define kCP_NodeType_CP_Size								"CP_Size"
#define kCP_DataType_Size									"Size"
#define kCP_NodeType_CP_String								"CP_String"
#define kCP_DataType_String									"string"

//=========================================================================
//	Buttons
//=========================================================================
#define kCP_Persist_ContentType								"content_type"
#define kCP_Persist_Behavior								"behavior"
#define kCP_Persist_ButtonSize								"button_size"
#define kCP_Persist_ButtonType								"button_type"
#define kCP_Persist_IconType								"icon_type"
#define kCP_Persist_GraphicAlignment						"graphic_align"
#define kCP_Persist_GraphicXOffset							"graphic_xoffset"
#define kCP_Persist_GraphicYOffset							"graphic_yoffset"
#define kCP_Persist_MenuBehavior							"menu_behavior"
#define kCP_Persist_MenuPlacement							"menu_placement"
#define kCP_Persist_Rounded									"rounded"
#define kCP_Persist_SelectedItem							"selected_item"
#define kCP_Persist_TextAlignment							"text_alignment"
#define kCP_Persist_TextOffset								"text_offset"
#define kCP_Persist_TextPlacement							"text_placement"
#define kCP_Persist_Thickness								"thickness"

//=========================================================================
//	Clock
//=========================================================================
#define kCP_Persist_ClockType								"clock_type"
#define kCP_Persist_ClockFlags								"clock_flags"

//=========================================================================
//	Controls
//=========================================================================
#define kCP_Persist_AutoToggle								"auto_toggle"
#define kCP_Persist_ControlSize								"control_size"
#define kCP_Persist_DontTrack								"dont_track"
#define kCP_Persist_InitialState							"initial_state"
#define kCP_Persist_Minimum									"minimum"
#define kCP_Persist_Maximum									"maximum"
#define kCP_Persist_Command									"command"
#define kCP_Persist_Value									"value"

//=========================================================================
//	Disclosure
//=========================================================================
#define kCP_Persist_DrawTitle								"draw-title"

//=========================================================================
//	FontSpecs
//=========================================================================
#define kCP_Persist_FS_Name									"font_name"
#define kCP_Persist_FS_Size									"font_size"
#define kCP_Persist_FS_Style								"font_style"
#define kCP_Persist_FS_Justification						"font_justifiction"
#define kCP_Persist_FS_Mode									"font_mode"
#define kCP_Persist_FS_Number								"font_font_number"
#define kCP_Persist_FS_Color								"font_color"

//=========================================================================
//	Group Boxes
//=========================================================================
#define kCP_Persist_GroupBoxStyle							"box_style"
#define kCP_Persist_IsPrimary								"primary"
#define kCP_Persist_TitleType								"title_type"

//=========================================================================
//	Menus
//=========================================================================
#define kCP_Persist_Menu									"menu"
#define kCP_Persist_MenuCommand								"menu_command"
#define kCP_Persist_MenuItemChecked							"menu_item_checked"
#define kCP_Persist_MenuTitle								"menu_title"

//=========================================================================
//	Misc - common
//=========================================================================
#define kCP_Persist_ControlID								"control_id"
#define kCP_Persist_Creator									"creator"
#define kCP_Persist_DropTarget								"drop_target"
#define kCP_Persist_FontSpec								"font_spec"
#define kCP_Persist_IconID									"icon_id"
#define kCP_Persist_Increment								"increment"
#define kCP_Persist_IsHidden								"is_hidden"
#define kCP_Persist_IsEnabled								"is_enabled"
#define kCP_Persist_IsPassword								"is_password"
#define kCP_Persist_LiveTracking							"live_tracking"
#define kCP_Persist_MenuID									"menu_id"
#define kCP_Persist_PictureID								"picture_id"
#define kCP_Persist_ResourceID								"res_id"
#define kCP_Persist_ControlSignature						"control_sig"
#define kCP_Persist_Transform								"transform"

#define kCP_ViewFileTypeBase								"CP_View_"

#define kCP_Widget											"widget"
#define kCP_WidgetID										"id"
#define kCP_WidgetClass										"class"

//=========================================================================
//	Panes
//=========================================================================
#define kCP_Persist_Location								"location"
#define kCP_Persist_Size									"size"
#define kCP_Persist_Text									"text"
#define kCP_Persist_Bounds									"bounds"

//=========================================================================
//	Popup
//=========================================================================
#define kCP_Persist_PopupArrowSize							"popup_arrow_size"

//=========================================================================
//	Progress
//=========================================================================
#define kCP_Persist_Indeterminate							"indeterminate"

//=========================================================================
//	Sliders
//=========================================================================
#define kCP_Persist_Orientation								"orientation"
#define kCP_Persist_NumberTicks								"number_ticks"

//=========================================================================
//	Tabs
//=========================================================================
#define kCP_Persist_TabItems								"tab_items"
#define kCP_Persist_TabItem									"tab_item"
#define kCP_Persist_TabItemName								"tab_item_name"
#define kCP_Persist_TabItemEnabled							"tab_item_enabled"
#define kCP_Persist_TabViewID								"tab_view_id"

//=========================================================================
//	Text
//=========================================================================
#define kCP_Persist_Justification							"justification"
#define kCP_Persist_FontStyle								"font_style"

//=========================================================================
//	Windows
//=========================================================================
#define kCP_Persist_Class									"class"
#define kCP_Persist_Attributes								"attributes"
#define kCP_Persist_ThemeBrush								"theme_brush"
#define kCP_Persist_Title									"text"
#define kCP_Persist_WindowPosition							"window_position"

#define kCP_IB_CPLAT_CP_WindowProperty						"CPWN"

CPLAT_End_Namespace_CPLAT

#endif	// _H_CP_Persist_Defines

