//=========================================================================
//
//	FILE:				CP_AskReviewDialog.h
//	
//						Copyright  2004. Ken Stahlman. All Rights Reserved.
//	
//	PURPOSE:			Presents the platforms AskReviewDocument Dialog.
//	
//	HISTORY:			1st Version - August 2004.
//	
//	NOTES:				- none -
//
//	VERSION:			Current Revision: $Rev:$
//						Latest Checkout:  $Date:$
//
//=========================================================================
#ifndef _H_CP_AskReviewDialog
#define _H_CP_AskReviewDialog
#ifndef TARGET_OS_LINUX
	#pragma once
#endif

	// CPLAT_Framework
#include "CP_FileSystemSpec.h"
#include "CP_FileSystemDialogsReply.h"

	// Standard Library
#include <vector>

CPLAT_Begin_Namespace_CPLAT

/*!
*	@class		CP_AskReviewDialog
*	@brief		Presents the platforms AskRevertDialog.
*/
class CP_EXPORT CP_AskReviewDialog : public CP_FileSystemDialogs_Reply
{
public:
	//! @name Constructor / Destructor
	//@{
	//! Constructor.
										CP_AskReviewDialog( UInt32 inNumberDocuments );
	//! Destructor.
	virtual								~CP_AskReviewDialog() throw();
	//@}

protected:

	// class data
protected:
	UInt32								fNumberDocuments;
			
//========================================================================
// Platform specific routines
//========================================================================
#if TARGET_OS_MAC
protected:
	virtual	NavDialogRef				CreateDialog(
												NavDialogCreationOptions& inOptions, 
												NavEventUPP inEventUPP,
												void *inUserData );

	virtual	void						HandleUserAction(
												CP_FileSystemDialogs_Base *inSendingDialog,
												CP_E_NavDialogResult inNavDialogResult );
#endif

#if TARGET_OS_WIN32
#endif

#if TARGET_OS_LINUX
#endif
};

CPLAT_End_Namespace_CPLAT

#endif	// _H_CP_AskReviewDialog

