//=========================================================================
//
//	FILE:				CP_Event_Imp_Gtk.h
//	
//						Copyright  2004. Ken Stahlman. All Rights Reserved.
//	
//	PURPOSE:			CP_Event class implementation for a MacOS CarbonEvent.
//	
//	HISTORY:			1st Version - August 2004.
//	
//	NOTES:				- none -
//
//	VERSION:			Current Revision: $Rev: 2 $
//						Latest Checkout:  $Date: 2004-12-21 19:40:38 -0800 (Tue, 21 Dec 2004) $
//
//=========================================================================
#ifndef _H_CP_Event_Imp_Gtk
#define _H_CP_Event_Imp_Gtk
#ifndef TARGET_OS_LINUX
	#pragma once
#endif

#if TARGET_OS_LINUX

	// CPLAT_Framework
#include "CP_NoCopy.h"
#include "CP_OSStatus.h"

CPLAT_Begin_Namespace_CPLAT

/*!
*	@class	CP_Event_Imp_Gtk
*	@brief	Linux Gtk implementation of the CP_Event class.
*	
*	This class implements the features of the CP_Event class using Linux Gtk events.
*/
class CP_EXPORT CP_Event_Imp
{
public:
											// Construction / destruction
										CP_Event_Imp();
										CP_Event_Imp( GdkEvent *inEvent );
										CP_Event_Imp(
												UInt32 inClassID, 
												UInt32 inKind );
	virtual								~CP_Event_Imp();
			
											// Getters
	virtual	UInt32						GetClass() const;
	virtual	UInt32						GetKind() const;

			GdkEvent					*GetGdkEvent()										{ return( fEvent ); }

protected:
			void						CopyImpFields( const CP_Event_Imp& inEventImp );

	// class data
private:
	GdkEvent							*fEvent;
};

CPLAT_End_Namespace_CPLAT

#endif	// TARGET_OS_LINUX

#endif	// _H_CP_Event_Imp_Gtk
