//=========================================================================
//
//	FILE:				CP_HBRUSH.h
//	
//						Copyright  2004. Ken Stahlman. All Rights Reserved.
//	
//	PURPOSE:			A class to manage a Windows HBRUSH.
//	
//	HISTORY:			1st Version - August 2004.
//	
//	NOTES:				- none -
//
//	VERSION:			Current Revision: $Rev: 2 $
//						Latest Checkout:  $Date: 2004-12-21 19:40:38 -0800 (Tue, 21 Dec 2004) $
//
//=========================================================================
#ifndef _H_CP_HBRUSH
#define _H_CP_HBRUSH
#ifndef TARGET_OS_LINUX
	#pragma once
#endif

#if TARGET_OS_WIN32

	// CPLAT_Framework
#include "CP_Types.h"

CPLAT_Begin_Namespace_CPLAT

/*!
*	@class		CP_HBRUSH
*	@brief		Class that provides a wrapper for the Windows HBRUSH.
*/
class CP_EXPORT CP_HBRUSH
{
public:
	//! @name Constructor / Destructor
	//@{
	//! Constructor.
										CP_HBRUSH( HBRUSH inHBRUSH );
										CP_HBRUSH( const CP_HBRUSH& inHBRUSH );
	//! Destructor.
	virtual								~CP_HBRUSH() throw();
	//@}
			
	//! @name Getters
	//@{
			HBRUSH						GetHBRUSH()									{ return( fHBRUSH ); }
	//@}

	//! @name operators
	//@{
			CP_HBRUSH&					operator =( const CP_HBRUSH& inHBRUSH );
	//@}

protected:

	// class data
protected:
	HBRUSH								fHBRUSH;		/*! The HBRUSH we manage. */
};

CPLAT_End_Namespace_CPLAT

#endif  // TARGET_OS_WIN32

#endif	// _H_CP_HBRUSH

