//=========================================================================
//
//	FILE:				CP_HFONT.h
//	
//						Copyright  2004. Ken Stahlman. All Rights Reserved.
//	
//	PURPOSE:			A class to manage a Windows HFONT.
//	
//	HISTORY:			1st Version - August 2004.
//	
//	NOTES:				- none -
//
//	VERSION:			Current Revision: $Rev: 2 $
//						Latest Checkout:  $Date: 2004-12-21 19:40:38 -0800 (Tue, 21 Dec 2004) $
//
//=========================================================================
#ifndef _H_CP_HFONT
#define _H_CP_HFONT
#ifndef TARGET_OS_LINUX
	#pragma once
#endif

#if TARGET_OS_WIN32

	// CPLAT_Framework
#include "CP_Types.h"

CPLAT_Begin_Namespace_CPLAT

/*!
*	@class		CP_HFONT
*	@brief		Class that provides a wrapper for the Windows HFONT.
*/
class CP_EXPORT CP_HFONT
{
public:
	//! @name Constructor / Destructor
	//@{
	//! Constructor.
										CP_HFONT( HFONT inHFONT );
										CP_HFONT( const CP_HFONT& inHFONT );
	//! Destructor.
	virtual								~CP_HFONT() throw();
	//@}
			
	//! @name Getters
	//@{
			HFONT						GetHFONT()									{ return( fHFONT ); }
	//@}

	//! @name operators
	//@{
			CP_HFONT&					operator =( const CP_HFONT& inHFONT );
	//@}

protected:

	// class data
protected:
	HFONT								fHFONT;		/*! The HFONT we manage. */
};

CPLAT_End_Namespace_CPLAT

#endif  // TARGET_OS_WIN32

#endif	// _H_CP_HFONT

