//=========================================================================
//
//	FILE:				CP_View_Imp_WinScroller.h
//	
//						Copyright  2004. Ken Stahlman. All Rights Reserved.
//	
//	PURPOSE:			
//	
//	HISTORY:			1st Version - August 2004.
//	
//	NOTES:				- none -
//
//	VERSION:			Current Revision: $Rev: 263 $
//						Latest Checkout:  $Date: 2005-08-28 13:10:16 -0700 (Sun, 28 Aug 2005) $
//
//=========================================================================
#ifndef _H_CP_View_Imp_WinScroller
#define _H_CP_View_Imp_WinScroller
#ifndef TARGET_OS_LINUX
	#pragma once
#endif

#if TARGET_OS_WIN32

	// CPLAT_Framework
#include "CP_ScrollBar.h"
#include "CP_View_Imp_Win.h"

CPLAT_Begin_Namespace_CPLAT

class CP_EXPORT CP_View_Imp_WinScroller : public CP_View_Imp_Win
{
public:
									// Construction / destruction
										CP_View_Imp_WinScroller(
												CP_View_Imp *inOwnerViewImp,
												CP_View *inSuperview,
												const CP_Point& inUpperLeft,
												const CP_Size& inContentSize,
												bool inHasHorizontalScrollBar = true,
												bool inHasVerticalScrollBar = true,
												bool inHasGrowBoxSpace = true );
	virtual								~CP_View_Imp_WinScroller() throw();

			void						HandleSetScrollingView( CP_ScrollableView *inScrollableView );

	virtual	void						SetPortBounds( const CP_Rect& inBounds );
			void						HandleBoundsChanged(
												const CP_Rect& inPreviousBounds,
												const CP_Rect& inNewBounds );

	virtual	CP_Rect						GetContentBounds();

	//! @name Slots
	//@{
	virtual	void						ImageBoundsChanged(
												CP_DataValueHolder& inValue,
												OSStatus& inOutStatus );
	//@}

protected:

private:
			void						Init(
												CP_View_Imp *inOwnerViewImp,
												const CP_Point& inUpperLeft,
												const CP_Size& inContentSize,
												bool inHasHorizontalScrollBar = true,
												bool inHasVerticalScrollBar = true,
												bool inHasGrowBoxSpace = true );

			void						HandleHScrollEvent( CP_Event_Base& inEvent );

	// class data
protected:
	CP_ScrollBar						*fHorizontalScrollBar; 
	CP_ScrollBar						*fVerticalScrollBar;

	bool 								fHasHorizontalScrollBar;	/*! Flag to indicate if we have a horizontal scroll bar. */
	bool 								fHasVerticalScrollBar;		/*! Flag to indicate if we have a vertical scroll bar. */
	bool 								fHasGrowBoxSpace;			/*! Flag to indicate if we leave space for a grow box. */
};

CPLAT_End_Namespace_CPLAT

#endif	// TARGET_OS_WIN32

#endif	// _H_CP_View_Imp_WinScroller

